decor {fBasics} | R Documentation

## Decor Functions

### Description

Functions for decorating plots.

The plot utility functions are:

`decor` | simple decoration function,
`hgrid` | creates horizontal grid lines,
`vgrid` | creates vertical grid lines,
`boxL` | creates a L-shaped box,
`box_` | creates a bogttom line box,
`copyright` | adds Rmetrics copyright to a plot.

### Usage

    decor()

    hgrid(ny = NULL, ...)
    vgrid(nx = NULL, ...)

    boxL(col = "white")
    box_(col = c("white", "black"))

    copyright()

### Arguments

`col` | the color of the background, `"black"` and foreground `"white"` lines of the box.
`nx, ny` | number of cells of the grid in x or y direction. When `NULL`, as per default, the grid aligns with the tick marks on the corresponding default axis (i.e., tickmarks as computed by axTicks).
`...` | additional arguments passed to the `grid()` function.

### Examples

    ## Test Plot Function:
       plot(x = rnorm(100), type = "l", col = "red",
         xlab = "", ylab = "Variates", las = 1)
       title("Normal Deviates", adj = 0)
       hgrid()
       boxL()
       copyright()

[Package fBasics version 3042.89 Index]